Subject: Re: [pim] [Technical Errata Reported] RFC5519 (3690)

From: Brian Haberman <[email-masked]>
Date: Wed, 31 Jul 2013 07:23:13 -0400

I am inclined to mark this erratum as Rejected for the following reasons:

1. Altering an INDEX statement in a MIB has adverse affects on devices 
populating the MIB and the management stations trying to read the MIB.

2. The information being used in these tables is *per-interface* (e.g., 
described in RFC 3810, section 4.2).  The concept of aliases is not 
applicable in those situations.

*If* there is a need to support per-alias information, that should be 
taken up as a revision to both the MIB and the underlying group 
management protocols.

Regards,
Brian

On 7/30/13 8:15 PM, RFC Errata System wrote:
> The following errata report has been submitted for RFC5519,
> "Multicast Group Membership Discovery MIB".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5519&eid=3690
>
> --------------------------------------
> Type: Technical
> Reported by: Herbie Robinson <[email-masked]>
>
> Section: 5.
>
> Original Text
> -------------
> INDEX { mgmdHostInterfaceIfIndex,
> mgmdHostInterfaceQuerierType }
>
> Corrected Text
> --------------
> INDEX { mgmdHostInterfaceIfIndex,
> mgmdHostInterfaceQuerierType, mgmdHostInterfaceQuerier}
>
> Notes
> -----
> The mgmdHostInterfaceQuerier field should be included in the index to handle the case where there are multiple aliases.
>
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC5519 (draft-ietf-magma-mgmd-mib-15)
> --------------------------------------
> Title               : Multicast Group Membership Discovery MIB
> Publication Date    : April 2009
> Author(s)           : J. Chesterfield, B. Haberman, Ed.
> Category            : PROPOSED STANDARD
> Source              : Multicast & Anycast Group Membership
> Area                : Internet
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: Brian Haberman <[email-masked]>
Date: Wed, 31 Jul 2013 06:27:50 -0400

Regards,
Brian

---

From: Ted Lemon <[email-masked]>
Date: Wed, 31 Jul 2013 16:26:21 +0000

On Jul 31, 2013, at 12:27 PM, Brian Haberman <[email-masked]> wrote:
> *If* there is a need to support per-alias information, that should be taken up as a revision to both the MIB and the underlying group management protocols.

WFM